// 
// 	This functions are implemented for all the distributions: 
//	---------------------------------------------------------
//	double pdf_distname(x,paramlist);	// prob. density function
//	double mean_distname(paramlist);	// mean value of distribution
//	double cdf_distname(x,paramlist);	// cum. dist. function
//	double invcdf_distname(x,paramlist);	// inverse of cdf
//	double ccdf_distname(x,paramlist);	// comp. cum. dist. function
//	double invccdf_distname(x,paramlist);	// inverse of ccdf
//
//	Considered distributions:	Parameters:
//	-------------------------------------------
// 	Weibull				eta, beta
//	Lognormal			phi, sigma
//	Uniform				a, b
//	Shifted Exponential		
// 	Matrix Exponential		
//	Pareto I			alpha, B
//	Pareto II 			alpha,b
//

double pdf_weib(double,double,double);	
double mean_weib(double,double);	
double cdf_weib(double,double,double);		
double invcdf_weib(double,double,double);	
double ccdf_weib(double,double,double);	
double invccdf_weib(double,double,double);

double pdf_logn(double,double,double);	
double mean_logn(double,double);	
double cdf_logn(double,double,double);		
double invcdf_logn(double,double,double);	
double ccdf_logn(double,double,double);	
double invccdf_logn(double,double,double);
	
double pdf_uni(double,double,double);	
double mean_uni(double,double);	
double cdf_uni(double,double,double);		
double invcdf_uni(double,double,double);	
double ccdf_uni(double,double,double);	
double invccdf_uni(double,double,double);	

double pdf_shif(double,double,double);	
double mean_shif(double,double);	
double cdf_shif(double,double,double);		
double invcdf_shif(double,double,double);	
double ccdf_shif(double,double,double);	
double invccdf_shif(double,double,double);

double pdf_matr(double,double,double);	
double mean_matr(double,double);	
double cdf_matr(double,double,double);		
double invcdf_matr(double,double,double);	
double ccdf_matr(double,double,double);	
double invccdf_matr(double,double,double);

double pdf_par1(double,double,double);	
double mean_par1(double,double);	
double cdf_par1(double,double,double);		
double invcdf_par1(double,double,double);	
double ccdf_par1(double,double,double);	
double invccdf_par1(double,double,double);	

double pdf_par2(double,double,double);	
double mean_par2(double,double);	
double cdf_par2(double,double,double);		
double invcdf_par2(double,double,double);	
double ccdf_par2(double,double,double);	
double invccdf_par2(double,double,double);	